#
# TODO:
#	- seperate out libgiggle/libgiggle-git
#
Summary:	Graphical frontend for git
Summary(pl.UTF-8):	Graficzna nakładka na git
Name:		giggle
Version:	0.7
Release:	3
License:	GPL v2
Group:		X11/Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/giggle/0.7/%{name}-%{version}.tar.xz
# Source0-md5:	f5e756c13d9b59843c05b648901b9f28
URL:		http://live.gnome.org/giggle
Patch0:		gtksourceview-3.8.patch
Patch1:		vte-0.38.patch
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1.11
BuildRequires:	evolution-data-server-devel >= 3.2
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	git-core >= 1.4.4.3
BuildRequires:	glib2-devel >= 1:2.30
BuildRequires:	gtk+3-devel >= 3.3.12
BuildRequires:	gtksourceview3-devel >= 3.0.0
BuildRequires:	intltool >= 0.41.0
BuildRequires:	itstool
BuildRequires:	libtool >= 2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.38
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	git-core >= 1.4.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Giggle is a GTK+ based GIT repositories viewer, providing developers a
way to browse and visualize graphically revision trees, change logs,
diffs, and other useful information.

%description -l pl.UTF-8
Giggle jest opartą na GTK+ przeglądarką repozytoriów GIT, dającą
deweloperom możliwość przeglądania i wizualizacji drzew rewizji, list
zmian, różnic i innych przydatnych informacji.

%package devel
Summary:	libgiggle development files
Summary(pl.UTF-8):	Pliki programistyczne libgiggle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgiggle development files.

%description devel -l pl.UTF-8
Pliki programistyczne libgiggle.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-terminal
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/giggle/plugins/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/giggle
%attr(755,root,root) %{_libdir}/libgiggle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiggle.so.0
%attr(755,root,root) %{_libdir}/libgiggle-git.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgiggle-git.so.0
%dir %{_libdir}/giggle
%dir %{_libdir}/giggle/plugins
%dir %{_libdir}/giggle/plugins/%{version}
%attr(755,root,root) %{_libdir}/giggle/plugins/%{version}/libpersonal-details.so
%attr(755,root,root) %{_libdir}/giggle/plugins/%{version}/libterminal-view.so
%{_libdir}/giggle/plugins/%{version}/personal-details.xml
%{_libdir}/giggle/plugins/%{version}/terminal-view.xml
%{_datadir}/%{name}
%{_desktopdir}/giggle.desktop
%{_iconsdir}/hicolor/*/*/*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/giggle
%{_includedir}/giggle/libgiggle
%{_includedir}/giggle/libgiggle-git
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so
%changelog
* Wed Nov 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/giggle.git;a=log;h=master

* Wed Nov 19 2014 Jan Rękorajski <baggins@pld-linux.org> a1dc360
- fix building with vte 0.38
- rel 3

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 550e983
- release 2 (by relup.sh)

* Sat Apr 06 2013 Łukasz Kieś <kiesiu@pld-linux.org> 0d79739
- updated to 0.7
- added patch to build with gtksourceview > 3.6

* Sat Feb 25 2012 Jarosław Kruk <jareq@pld-linux.org> 0de9c65
- updated to 0.6.1

* Sun Oct 23 2011 Artur Frysiak <artur@frysiak.net> 19e5d0e
- up to 0.6

* Sun Oct 16 2011 Artur Frysiak <artur@frysiak.net> 25a980f
- BR vte0-devel
- disable silent make rules
- rel. 4

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> a210785
- Requires(post,postun): gtk-update-icon-cache

* Thu Sep 30 2010 Patryk Zawadzki <patrys@room-303.com> 4379907
- rel 2

* Sat Apr 24 2010 deejay1 <deejay1@pld-linux.org> 58ff32b
- updated to 0.5

* Fri Apr 09 2010 Patryk Zawadzki <patrys@room-303.com> 6c4532e
- 0.4.97

* Tue Feb 23 2010 sparky <sparky@pld-linux.org> bf9e7d3
- dropped unused BR: libglade2-devel

* Tue Feb 23 2010 Patryk Zawadzki <patrys@room-303.com> 41d0b5a
- 0.4.96

* Fri Jan 29 2010 sparky <sparky@pld-linux.org> 4a89a1b
- BR: gettext-devel, gnome-common

* Fri Jan 29 2010 Patryk Zawadzki <patrys@room-303.com> b226f72
- BR: vte-devel

* Thu Jan 28 2010 Patryk Zawadzki <patrys@room-303.com> 269d830
- 0.4.95

* Thu Mar 12 2009 Jakub Bogusz <qboosh@pld-linux.org> bef06df
- outdated

* Thu Feb 19 2009 deejay1 <deejay1@pld-linux.org> fd55f0b
- seperated devel subpackage
- added TODO
- rel. 1

* Wed Feb 18 2009 deejay1 <deejay1@pld-linux.org> a93f031
- updated to 0.4.91
- removed note
- Polish translation now upstream
- NFY

* Tue Jan 13 2009 wolf <wolf@pld-linux.org> cdea57b
- add note about new home

* Wed Dec 12 2007 Jakub Bogusz <qboosh@pld-linux.org> cc2c23f
- pl fix
- .so perms
- missing post/postun deps

